ru.bitel.bgbilling.modules.smarthouse.common.service

## Interface SmartHouseIntercomService

-     public interface SmartHouseIntercomService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIntercomFlatForContractAddress(int contractId)`
    `void` | `doGetIntercomFlats(int id)`
    `java.util.List<java.lang.String>` | `getContractData(java.util.List<java.lang.Integer> contractIds)`
    `ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercomFlat` | `getSmartHouseIntercomFlatByContractId(int contractId)`
    `org.json.JSONObject` | `houseInfoData(java.util.List<java.lang.Integer> houseIds)`
    `java.util.List<ContractIdTitleComment>` | `searchContractByAddress(int intercomId)`
    `java.util.List<ContractIdTitleComment>` | `searchContractByMask(java.lang.String text)`
    `java.util.List<java.lang.String>` | `searchHouse(java.lang.String text)`
    `SearchResult<java.lang.String>` | `searchIntercomFlatStatusLogs(int intercomFlatId, Page page)`
    `void` | `setIntercomFlatStatus(int contractId, int intercomFlatId, boolean status)`
    `java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercomFlat>` | `smartHouseIntercomFlatList(int intercomId)`
    `void` | `smartHouseIntercomFlatUpdate(ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercomFlat data)`
    `ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercom` | `smartHouseIntercomGet(int id)`
    `java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercom>` | `smartHouseIntercomList()`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercom>` | `smartHouseIntercomSearch(java.lang.String title, java.lang.String[] sort, Page page)`
    `int` | `smartHouseIntercomUpdate(ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercom smartHouseIntercom)`

- - ### Method Detail

    - #### smartHouseIntercomSearch

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercom> smartHouseIntercomSearch(java.lang.String title,
                                                                                                                               java.lang.String[] sort,
                                                                                                                               Page page)
                                                                                                                        throws ru.bitel.bgbilling.common.BGException,
                                                                                                                               ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### smartHouseIntercomList

          java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercom> smartHouseIntercomList()
                                                                                                                        throws ru.bitel.bgbilling.common.BGException,
                                                                                                                               ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### houseInfoData

          org.json.JSONObject houseInfoData(java.util.List<java.lang.Integer> houseIds)
                                     throws ru.bitel.bgbilling.common.BGException,
                                            ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### doGetIntercomFlats

          void doGetIntercomFlats(int id)
                           throws ru.bitel.bgbilling.common.BGException,
                                  ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### smartHouseIntercomGet

          ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercom smartHouseIntercomGet(int id)
                                                                                                       throws ru.bitel.bgbilling.common.BGException,
                                                                                                              ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### smartHouseIntercomUpdate

          int smartHouseIntercomUpdate(ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercom smartHouseIntercom)
                                throws ru.bitel.bgbilling.common.BGException,
                                       ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### smartHouseIntercomFlatList

          java.util.List<ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercomFlat> smartHouseIntercomFlatList(int intercomId)
                                                                                                                                throws ru.bitel.bgbilling.common.BGException,
                                                                                                                                       ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### smartHouseIntercomFlatUpdate

          void smartHouseIntercomFlatUpdate(ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercomFlat data)
                                     throws ru.bitel.bgbilling.common.BGException,
                                            ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### getContractData

          java.util.List<java.lang.String> getContractData(java.util.List<java.lang.Integer> contractIds)
                                                    throws ru.bitel.bgbilling.common.BGException,
                                                           ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### searchHouse

          java.util.List<java.lang.String> searchHouse(java.lang.String text)
                                                throws ru.bitel.bgbilling.common.BGException,
                                                       ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### searchContractByMask

          java.util.List<ContractIdTitleComment> searchContractByMask(java.lang.String text)
                                                               throws ru.bitel.bgbilling.common.BGException,
                                                                      ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### searchContractByAddress

          java.util.List<ContractIdTitleComment> searchContractByAddress(int intercomId)
                                                                  throws ru.bitel.bgbilling.common.BGException,
                                                                         ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### setIntercomFlatStatus

          void setIntercomFlatStatus(int contractId,
                                     int intercomFlatId,
                                     boolean status)
                              throws ru.bitel.bgbilling.common.BGException,
                                     ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### getSmartHouseIntercomFlatByContractId

          ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercomFlat getSmartHouseIntercomFlatByContractId(int contractId)
                                                                                                                           throws ru.bitel.bgbilling.common.BGException,
                                                                                                                                  ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### addIntercomFlatForContractAddress

          void addIntercomFlatForContractAddress(int contractId)
                                          throws ru.bitel.bgbilling.common.BGException,
                                                 ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### searchIntercomFlatStatusLogs

          SearchResult<java.lang.String> searchIntercomFlatStatusLogs(int intercomFlatId,
                                                                      Page page)
                                                               throws ru.bitel.bgbilling.common.BGException,
                                                                      ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`